GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_resolver_vtable Struct Reference

`#include <resolver.h>`

## Data Fields
void(* | destroy )(grpc_resolver *resolver)
void(* | shutdown )(grpc_resolver *resolver)
void(* | channel_saw_error )(grpc_resolver *resolver, struct sockaddr *failing_address, int failing_address_len)
void(* | next )(grpc_resolver *resolver, grpc_client_config **target_config, grpc_iomgr_closure *on_complete)

## Field Documentation

void(* grpc_resolver_vtable::channel_saw_error)(grpc_resolver *resolver, struct sockaddr *failing_address, int failing_address_len)

void(* grpc_resolver_vtable::destroy)(grpc_resolver *resolver)

void(* grpc_resolver_vtable::next)(grpc_resolver *resolver, grpc_client_config **target_config, grpc_iomgr_closure *on_complete)

void(* grpc_resolver_vtable::shutdown)(grpc_resolver *resolver)

The documentation for this struct was generated from the following file:

- src/core/client_config/resolver.h